Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFConversionSDKPython2.PDF2PowerPointSettingData Class Reference

Inherits FoxitPDFConversionSDKPython2._object.

## Public Member Functions
def | PDF2PowerPointSettingData ()
| Constructor. More...
def | Set (enable_aggressively_split_sections, enable_adapt_to_largest_page)
| Set value. More...

## Static Public Attributes
| enable_adapt_to_largest_page = _fpdfconversionsdk.PDF2PowerPointSettingData_enable_adapt_to_largest_page
| A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. More...
| enable_aggressively_split_sections = _fpdfconversionsdk.PDF2PowerPointSettingData_enable_aggressively_split_sections
| A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Power Point format documents.

## Constructor & Destructor Documentation

## ◆ PDF2PowerPointSettingData()

def FoxitPDFConversionSDKPython2.PDF2PowerPointSettingData.PDF2PowerPointSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

## Member Function Documentation

## ◆ Set()

def FoxitPDFConversionSDKPython2.PDF2PowerPointSettingData.Set | ( |  | enable_aggressively_split_sections,
|  |  | enable_adapt_to_largest_page
| ) |  |

Set value.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Returns
  None.

## Member Data Documentation

## ◆ enable_adapt_to_largest_page

FoxitPDFConversionSDKPython2.PDF2PowerPointSettingData.enable_adapt_to_largest_page = _fpdfconversionsdk.PDF2PowerPointSettingData_enable_adapt_to_largest_page
| static

A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false.

Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

## ◆ enable_aggressively_split_sections

FoxitPDFConversionSDKPython2.PDF2PowerPointSettingData.enable_aggressively_split_sections = _fpdfconversionsdk.PDF2PowerPointSettingData_enable_aggressively_split_sections
| static

A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false.

In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.